build revel.exe 之后运行 提示 与windows版本不兼容,请问如何处理?

go version go1.4.2 windows/amd64 windows: windows 8.1 64位

go build %GOPATH%/bin/revel.exe github.com/revel/revel 

运行时提示: revel.exe 与你运行的 Windows 版本不兼容。请查看计算机的系统信息,然后联系软件发布者。

请问怎么处理?

共 5 个回复


jimmykuu

go build %GOPATH%/bin/revel.exe github.com/revel/revel 这个命令是什么意思,为什么要把 revel.exe 作为参数?

# 0

yeelone

@jimmykuu 不好意思,我手打的。go build -o %GOPATH%/bin/revel.exe github.com/revel/revel

# 1

jimmykuu

哦,手头没有这个系统,等有相同系统的童鞋帮你看看。

# 2

yeelone

原来是要build revel 的命令行工具。 go build -o %GOPATH%/bin/revel.exe github.com/revel/cmd/revel

# 3

jimmykuu

是这样的,前面也没看出你想要干嘛,这个其实用 go install 命令就可以了: go install github.com/revel/cmd/revel

# 4